/*************************************************************************/
/*!
* \file taste.h
*
* \brief Definitionen und Pinbelegungen fr die TastenentprellungSteuert.
*
* \par Funktionsweise:
*	Die Funktion tasten wied ca. alle 4ms ber einen Timer aufgerufen. Sie 
*	fragt die Zustnde am \c KEY_INPUT ab, sind diese viemal hintereinander 
*	gleichh werden sie, werden die entsprechenden Flags gesetzt. den Status 
*	des ports kann man ber \c get_key_press( \c Pin ) abfragen.\n
*
* \version	V--- - 04.03.2007 - Olaf Petersen\n
*			Created\n
*************************************************************************/

#ifndef _TASTE_H
#define _TASTE_H


#define KEY_INPUT		PINA				/*!< PORT an dem die Tastenzusnde berprft werden */
#define REPEAT_MASK		(1<<PD1^1<<PD2)	/*!< Tasten die  widerholt werden sollen: key 1, 2 */

#define REPEAT_START	50				/*!< nach 125 Aufrufen der taste() Funktion */
#define REPEAT_NEXT		25				/*!< nach 25 Aufrufen der taste() Funktion */


extern void tasten(void);
extern char get_key_press( char key_mask );
extern char get_key_rpt( char key_mask );

#endif
